.calculadora
{
    position: fixed;
    top: 50%;
    left: 50%;
    background-color: rgb(177, 107, 207);
    transform: translate(-50%, -50%);
    display:flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-size: 2rem;
    background-image: linear-gradient(rgb(177,107,207),rgb(97, 9, 147));
    border: 1px solid #ffffff;
    border-radius: 4px;
    padding: 20px;
    
} 
.tela{
    display:flex;
    align-items: center;
    justify-content: flex-end;
    font-size: 3rem;
    width: 300px;
    height: 80px;
    margin-bottom: 20px;
    border: 3px solid #a979c9;
    padding: 10px;
    border-radius: 4px;
    background-color: rgb(0, 0, 0);
    color: #e1e1e1;
}
.botao{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.linha{
    display:flex;
    flex-direction: row;
    margin-bottom: 10px;
}
.operadores{
    background-color: rgb(213, 188, 236);
    color:#9c48d4;
    border: 2px solid;
}
.outros{
    background-color: #e5b6ee;
    color:#9c48d4;
    border: 2px solid #9c48d4;
}

button{
    width: 50px;
    height: 50px;
    margin: 5px;
}

.CLEAR
{
    border: 5px solid;
    background-color: #9c48d4;
    width: 430px;
}/*Fechamento CLEAR*/
button{
    font-size: -1rem;
    width: 80px;
    height:80px;
    margin-right: 10;
    border: 1px solid #e1e1e1;
    border-radius: 4px;
    cursor: pointer;
}
button: :last-child{
    margin-right: 0;
}
button: hover{
    background-color:#9c48d4;
    color: #e1e1e1;
}


